Subject: [Sipping] realtimefax draft comments

From: "Hearty, John" <[email-masked]>
Date: Tue, 14 Oct 2003 14:45:26 -0600

Jean-François,

As mentioned, if there is enough time, I'd like to see a section detailing offer/answer negotiation for each of the T38 attributes.  The only one that is currently well covered (in section 4.2) is T38MaxBitRate.  For example, if a receiving gateway re-Invites upon fax detection with a=T38FaxMaxBuffer:72, but the emitting gateway's buffer capability is only 32, does it respond with a 200 OK with a=T38FaxMaxBuffer:32 and the T38 setup proceeds?

This document should probably incorporate examples for the MIME sub-type audio/t38 where T.38 is transported in RTP.

I'm a bit uncomfortable with Joel's second comment advocating a clearchannelfax attribute.  I'm not sure why we need to signal what specific application might be running over a particular codec.  If something like that is needed, it might be better to use draft-ietf-avt-rtp-clearmode-03.txt.

Other comments are below.  I only reviewed the SIP in section 5.2.2 in detail, but noticed similar issues in other sections, I'll leave those for you to correct (let me know if you need them all explicitly identified).

You might consider ignoring all my comments below and only showing the SDP in the MMUSIC version of this draft, since SIP flows shouldn't really be in an MMUSIC draft.  This may make your job easier by eliminating the SIP message scrubbing work, and make the draft much simpler.

1. The Record-Route usage is not quite RFC 2543 compliant, nor RFC 3261 compliant.  I suggest re-vamping everything to show loose routing usage as defined in RFC 3261.

2. F11 through F22 need to have the URIs in the To and From headers swapped, as these requests originated from the other UA.

3. For F11 through F16, choose some other CSeq value, as each UA maintains these values independently.  The IFTGW UA should have chosen a new CSeq, not increased by one from the last one chosen by the IFT UA.  Then, F17 through F22 should be increased by one from that chosen in F11.  Finally, the CSeq for F23 through F26 should be 18, an increase of 1 from that last used by the IFT UA.

4. F23 through F26 is missing a branch parm on the first Via.  The Branch parm on the proxy's Via in F25 doesn't match that in F24.

5. Sections 6.1.1, 6.1.2, 6.2.1 and 6.2.2 are missing two ACKs after F14.

John Hearty
Level3

> -----Original Message-----
> From: Joel Payeur [mailto:[email-masked]]
> Sent: Tuesday, October 14, 2003 7:33 AM
> To: Jean-Francois Mule; Rohan Mahy; Hearty, John
> Cc: Gonzalo Camarillo; Dean Willis; Henry Sinnreich; [email-masked]
> Subject: RE: [Sipping] Is realtimefax draft dead?
> 
> Glad you're still on the case Jean-Francois.  For my part, i think it's
> time that we (my company) take steps to help the developping T38/SIP
> standard.
> 
> Two things that come to mind are:
> 
> 1- Should we enforce a one-way negotiation scheme?  (perhaps we can keep
> the "anyone" strategy, and add a short comment on using 491 to resolve
> glares in the draft)
> 
> 2- For clear channel, can we add something in the SDP that will tell
> whether it's a clear channel or voice renegotiation? Say,
> a=clearchannelfax media level attribute.
> 
> Joel
> 
> 
> > -----Original Message-----
> > From: Jean-Francois Mule [mailto:[email-masked]]
> > Sent: Tuesday, October 14, 2003 9:07
> > To: Rohan Mahy; Hearty, John
> > Cc: Gonzalo Camarillo; Dean Willis; Joel Payeur; Henry Sinnreich;
> > [email-masked]
> > Subject: RE: [Sipping] Is realtimefax draft dead?
> >
> >
> > Hi all,
> >
> > Sorry for my lack of follow-up and the delayed response.
> > I still plan on submitting an updated draft for IETF#58 (with
> > minimal updates).
> >
> > Any technical comments on the draft (I've been parsing the
> > archive and addressing or logging comments as I go through them)?
> >
> > Jean-François
> >
> > > -----Original Message-----
> > > From: Rohan Mahy [mailto:[email-masked]]
> > > Sent: Monday, October 13, 2003 11:47 AM
> > > To: Hearty, John
> > > Cc: Gonzalo Camarillo; Dean Willis; Joel Payeur; Henry
> > > Sinnreich; [email-masked]; Jean-Francois Mule
> > > Subject: Re: [Sipping] Is realtimefax draft dead?
> > >
> > >
> > > Hi,
> > >
> > > Both realtime fax and the ICE mechanism are moving to
> > MMUSIC, as they
> > > contain mostly SDP extensions.
> > >
> > > I believe Jean-Francois was planning to submit a new version of
> > > realtime-fax to MMUSIC before the IETF 58 draft deadline.
> > >
> > > thanks,
> > > -rohan
> > >
> > > On Monday, October 13, 2003, at 09:23 AM, Hearty, John wrote:
> > >
> > > > I have still heard no comment from the authors of this
> > > draft.  I see
> > > > that the following was listed under Goals and Milestones in the
> > > > SIPPING charter which has apparently been missed:
> > > >
> > > > Jun 03    Submit Internet-Draft on T.38 Fax Call Flows to IESG for
> > > > consideration as a BCP
> > > >
> > > > I turn now to the SIPPING chairs for direction on the
> > > future of this
> > > > draft.  Personally, I am looking for some standardization
> > > that covers
> > > > the offer/answer model for T.38.  I'm not sure if this is
> > something
> > > > that should be included in this draft, or a separate
> > effort in the
> > > > MMUSIC working group.  If it is agreeable this information
> > > should be
> > > > included in this draft, I am willing to volunteer to pick
> > > up updates
> > > > to this draft with one other co-author if that is what it
> > > will take to
> > > > get this moving again.  Please advise.  Thanks.
> > > >
> > > > John Hearty
> > > > Level3
> > > >
> > > >> -----Original Message-----
> > > >> From: Joel Payeur [mailto:[email-masked]]
> > > >> Sent: Friday, October 10, 2003 6:42 AM
> > > >> To: Henry Sinnreich; Hearty, John; [email-masked];
> > > >> [email-masked]
> > > >> Subject: RE: [Sipping] Is realtimefax draft dead?
> > > >>
> > > >> Is it official then that no one is currently working on
> > > these issues?
> > > > As
> > > >> John said, we would also beneficiate from better implementation
> > > > guidelines
> > > >> and documentation.
> > > >>
> > > >> Joel
> > > >>
> > > >>> -----Original Message-----
> > > >>> From: [email-masked] [mailto:[email-masked]]On
> > > >>> Behalf Of Henry Sinnreich
> > > >>> Sent: Thursday, October 09, 2003 14:47
> > > >>> To: 'Hearty, John'; [email-masked]; [email-masked]
> > > >>> Subject: RE: [Sipping] Is realtimefax draft dead?
> > > >>>
> > > >>>
> > > >>>> .  I feel this is an
> > > >>>> important document to get updated, as there is very
> > little else
> > > >>>> available describing T.38 interop with SIP, something
> > > more and more
> > > >>>> customers are asking for.
> > > >>>
> > > >>> I agree and hope someone will find the time to write it.
> > > >>>
> > > >>> Thanks, Henry
> > > >>>
> > > >>> Henry Sinnreich
> > > >>>
> > > >>> MCI
> > > >>> 400 International Parkway
> > > >>> Richardson, Texas 75081
> > > >>> USA
> > > >>>
> > > >>> Office:   972-729-4983 (SIP)
> > > >>> VNET:     772-4983 (SIP)
> > > >>>
> > > >>> Have you disconnected the PBX?
> > > >>>
> > > >>> -----Original Message-----
> > > >>> From: [email-masked] [mailto:[email-masked]] On
> > > >>> Behalf Of Hearty, John
> > > >>> Sent: Thursday, October 09, 2003 11:46 AM
> > > >>> To: [email-masked]; [email-masked]
> > > >>> Subject: [Sipping] Is realtimefax draft dead?
> > > >>>
> > > >>> I posted this message a couple of weeks ago with no
> > reply.  Since
> > > > then
> > > >>> there have been other messages related to this draft, but
> > > no answers
> > > >>> regarding getting updates to the draft.  I have seen no response
> > > > from
> > > >>> the authors, and Jieying Li's email address bounced.  I
> > > feel this is
> > > >>> an important document to get updated, as there is very
> > little else
> > > >>> available describing T.38 interop with SIP, something
> > > more and more
> > > >>> customers are asking for.
> > > >>>
> > > >>> John Hearty
> > > >>> Level3
> > > >>>
> > > >>>> -----Original Message-----
> > > >>>> From: [email-masked]
> > > >> [mailto:[email-masked]] On Behalf
> > > >> Of
> > > >>> Hearty, John
> > > >>> Sent: Wednesday, September 24, 2003 4:37 PM
> > > >>> To: [email-masked]; [email-masked]; [email-masked]
> > > >>> Subject: [Sipping] realtimefax draft
> > > >>>
> > > >>> I see that this draft is expired.  Is a new one due
> > out?  Also, I
> > > > see
> > > >>> that it implies how the negotiation of t38 attributes
> > is done, but
> > > >> there
> > > >>> is nowhere in this or any other document I am aware of
> > > that clearly
> > > >>> describes the offer/answer model for t38 attribute
> > > negotiation.  Can
> > > >>> this be added to this draft?
> > > >>>
> > > >>> John Hearty
> > > >>> Level3
> > > >>>
> > > >>> _______________________________________________
> > > >>> Sipping mailing list
> > > https://www1.ietf.org/mailman/listinfo/sipping
> > > >>> This list
> > > is for NEW development of the application of SIP Use
> > > >>> [email-masked] for questions on
> > current sip Use
> > > >>> [email-masked] for new developments of core SIP
> > > >>
> > > >> _______________________________________________
> > > >> Sipping mailing list
> > > https://www1.ietf.org/mailman/listinfo/sipping
> > > >> This list
> > > is for NEW development of the application of SIP Use
> > > >> [email-masked] for questions on
> > current sip Use
> > > >> [email-masked] for new developments of core SIP
> > > >>
> > > >>
> > > >> _______________________________________________
> > > >> Sipping mailing list
> > > https://www1.ietf.org/mailman/listinfo/sipping
> > > >> This list
> > > is for NEW development of the application of SIP Use
> > > >> [email-masked] for questions on
> > current sip Use
> > > >> [email-masked] for new developments of core SIP
> > > >
> > >
> > >
> >
> >

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP